Subject: RE: getc() problem with Cygwin v1.0
From: "Fifer, Eric" <[email-masked]>
To: [email-masked]
Cc: "'Chris Faylor'" <[email-masked]>
Date: Tue, 18 Jan 2000 18:07:07 -0000

Jim Grishaw writes:
>     Thanks for the post.  I would suggest un-setting your CYGWIN=tty
>variable and see if you still have the problem.

Thanks, but since I'm using a recent snapshot (2000-Jan-14) what I'm
seeing must be different.  The value of "tty" in CYGWIN did not
affect the problem I reported.  Again, what I am seeing is that
line editing works when running inside a console, but within
rxvt line editing does not work.

After poking around in the source, I was able to make a patch that
fixes the problem I'm having.  I won't be surprised if there is a
better way of doing this, but this does fix the problem:

--- fhandler_tty.cc.orig        Tue Jan 18 17:41:18 2000
+++ fhandler_tty.cc     Tue Jan 18 17:38:07 2000
@@ -885,7 +885,7 @@
 int
 fhandler_pty_master::write (const void *ptr, size_t len)
 {
-  line_edit ((char *) ptr, len, 1);
+  line_edit ((char *) ptr, len /*, 1*/);
   return len;
 }

Having always_accept (the 3rd arg to line_edit) set to 1 prevents
pseudo-terminals from having line editing.  I'm not sure what was
intended here.

Eric Fifer

--
Want to unsubscribe from this list?
Send a message to [email-masked]